Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.common.security.xacml
Class Type

    java.lang.Object
      com.bea.common.security.xacml.Type

    public class Type

extends Object

This class defines the data types that are supported by XACML security providers that run in a BEA security realm.

Field Summary
`static Type` | `ANY_URI` Represents the XML `URI` data type, `http://www.w3.org/2001/XMLSchema#anyURI`.
`static Type` | `ANY_URI_BAG` Represents a bag of `ANY_URI`.
`static Type` | `BASE64_BINARY` Represents the XML `base64` binary data type, `http://www.w3.org/2001/XMLSchema#base64Binary`.
`static Type` | `BASE64_BINARY_BAG` Represents a bag of `BASE64_BINARY`.
`static Type` | `BOOLEAN` Represents the XML `boolean` data type, `http://www.w3.org/2001/XMLSchema#boolean`.
`static Type` | `BOOLEAN_BAG` Represents a bag of `BOOLEAN`.
`static Type` | `CHARACTER` Represents a one-character restriction on the XML `string` data type, `http://www.w3.org/2001/XMLSchema#string`.
`static Type` | `CHARACTER_BAG` Represents a bag of `CHARACTER`.
`static Type` | `CLASS` Represents a reference to an instance of `java.lang.Class` for a specific Java object.
`static Type` | `CLASS_BAG` Represents a bag of `CLASS`.
`static Type` | `DATE` Represents the XML `date` data type, `http://www.w3.org/2001/XMLSchema#date`.
`static Type` | `DATE_BAG` Represents a bag of `DATE`.
`static Type` | `DATE_TIME` Represents the XML `dateTime` data type, `http://www.w3.org/2001/XMLSchema#dateTime`.
`static Type` | `DATE_TIME_BAG` Represents a bag of `DATE_TIME`.
`static Type` | `DAY_TIME_DURATION` Represents the XQuery `day-time duration` data type, `http://www.w3.org/TR/2002/WD-xquery-operators-20020816#dayTimeDuration`.
`static Type` | `DAY_TIME_DURATION_BAG` Represents a bag of `DAY_TIME_DURATION`.
`static Type` | `DECIMAL` Represents the XML `decimal` data type, `http://www.w3.org/2001/XMLSchema#decimal`.
`static Type` | `DECIMAL_BAG` Represents a bag of `DECIMAL`.
`static Type` | `DNS_ADDRESS` Represents the XACML `DNS name` data type, `urn:oasis:names:tc:xacml:1.0:data-type:dnsName`.
`static Type` | `DNS_ADDRESS_BAG` Represents a bag of `DNS_ADDRESS`.
`static Type` | `DOUBLE` Represents the XML `double` data type, `http://www.w3.org/2001/XMLSchema#double`.
`static Type` | `DOUBLE_BAG` Represents a bag of `DOUBLE`.
`static Type` | `FLOAT` Represents the XML `float` data type, `http://www.w3.org/2001/XMLSchema#float`.
`static Type` | `FLOAT_BAG` Represents a bag of `FLOAT`.
`static Type` | `FUNCTION` Represents the evaluation of a `<Function>` element.
`static Type` | `FUNCTION_BAG` Represents a bag of `FUNCTION`.
`static Type` | `HEX_BINARY` Represents the XML `hexadecimal binary` data type, `http://www.w3.org/2001/XMLSchema#hexBinary`.
`static Type` | `HEX_BINARY_BAG` Represents a bag of `HEX_BINARY`.
`static Type` | `INTEGER` Represents the XML `integer` data type, `http://www.w3.org/2001/XMLSchema#integer`.
`static Type` | `INTEGER_BAG` Represents a bag of `INTEGER`.
`static Type` | `IP_ADDRESS` Represents the XACML `IP address` data type, `urn:oasis:names:tc:xacml:1.0:data-type:ipAddress`.
`static Type` | `IP_ADDRESS_BAG` Represents a bag of `IP_ADDRESS`.
`static Type` | `LONG` Represents the XML `long` data type, `http://www.w3.org/2001/XMLSchema#long`.
`static Type` | `LONG_BAG` Represents a bag of `LONG`.
`static Type` | `OBJECT` Represents a reference to a Java object.
`static Type` | `OBJECT_BAG` Represents a bag of `OBJECT`.
`static Type` | `RFC822_NAME` Represents the XACML `RFC822` name data type, `urn:oasis:names:tc:xacml:1.0:data-type:rfc822Name`.
`static Type` | `RFC822_NAME_BAG` Represents a bag of `RFC822_NAME`.
`static Type` | `STRING` Represents the XML `string` data type, `http://www.w3.org/2001/XMLSchema#string`.
`static Type` | `STRING_BAG` Represents a bag of `STRING`.
`static Type` | `TIME` Represents the XML `time` data type, `http://www.w3.org/2001/XMLSchema#time`.
`static Type` | `TIME_BAG` Represents a bag of `TIME`.
`static Type` | `X500_NAME` Represents the XACML `X500` name data type, `urn:oasis:names:tc:xacml:1.0:data-type:x500Name`.
`static Type` | `X500_NAME_BAG` Represents a bag of `X500_NAME`.
`static Type` | `YEAR_MONTH_DURATION` Represents the XQuery `year-month duration` data type, `http://www.w3.org/TR/2002/WD-xquery-operators-20020816#yearMonthDuration`.
`static Type` | `YEAR_MONTH_DURATION_BAG` Represents a bag of `YEAR_MONTH_DURATION`.

Constructor Summary
`` | `Type(String type, String shortName)` Constructor that takes type URI as String.
`` | `Type(String type, String shortName, boolean isBag)` Constructor that takes type URI as String.
`` | `Type(String type, String shortName, boolean isBag, boolean isCustom)` Constructor that takes type URI as String.
`protected` | `Type(Type other)`
`` | `Type(Type other, boolean isBag)` Constructor that can be used to create bag or non-bag type instances from another Type
`` | `Type(URI type, boolean isBag)` Constructor that takes type as URI
`` | `Type(URI type, String shortName)` Constructor that takes type as URI.
`` | `Type(URI type, String shortName, boolean isBag)` Constructor that takes type as URI

Method Summary
`boolean` | `equals(Object o)`
`static Type` | `findType(String uri)`
`URI` | `getDataType()` Returns type URI
`static Collection` | `getScalarTypes()`
`String` | `getShortName()`
`String` | `getType()` Returns type URI as a String
`boolean` | `isBag()` Checks if Type represents a bag or singleton type
`boolean` | `isCustom()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING

    public static final Type STRING

  Represents the XML `string` data type, `http://www.w3.org/2001/XMLSchema#string`.

### BOOLEAN

    public static final Type BOOLEAN

  Represents the XML `boolean` data type, `http://www.w3.org/2001/XMLSchema#boolean`.

### INTEGER

    public static final Type INTEGER

  Represents the XML `integer` data type, `http://www.w3.org/2001/XMLSchema#integer`.

### DOUBLE

    public static final Type DOUBLE

  Represents the XML `double` data type, `http://www.w3.org/2001/XMLSchema#double`.

### TIME

    public static final Type TIME

  Represents the XML `time` data type, `http://www.w3.org/2001/XMLSchema#time`.

### DATE

    public static final Type DATE

  Represents the XML `date` data type, `http://www.w3.org/2001/XMLSchema#date`.

### DATE_TIME

    public static final Type DATE_TIME

  Represents the XML `dateTime` data type, `http://www.w3.org/2001/XMLSchema#dateTime`.

### DAY_TIME_DURATION

    public static final Type DAY_TIME_DURATION

  Represents the XQuery `day-time duration` data type, `http://www.w3.org/TR/2002/WD-xquery-operators-20020816#dayTimeDuration`.

### YEAR_MONTH_DURATION

    public static final Type YEAR_MONTH_DURATION

  Represents the XQuery `year-month duration` data type, `http://www.w3.org/TR/2002/WD-xquery-operators-20020816#yearMonthDuration`.

### ANY_URI

    public static final Type ANY_URI

  Represents the XML `URI` data type, `http://www.w3.org/2001/XMLSchema#anyURI`.

### HEX_BINARY

    public static final Type HEX_BINARY

  Represents the XML `hexadecimal binary` data type, `http://www.w3.org/2001/XMLSchema#hexBinary`.

### BASE64_BINARY

    public static final Type BASE64_BINARY

  Represents the XML `base64` binary data type, `http://www.w3.org/2001/XMLSchema#base64Binary`.

### RFC822_NAME

    public static final Type RFC822_NAME

  Represents the XACML `RFC822` name data type, `urn:oasis:names:tc:xacml:1.0:data-type:rfc822Name`.

### X500_NAME

    public static final Type X500_NAME

  Represents the XACML `X500` name data type, `urn:oasis:names:tc:xacml:1.0:data-type:x500Name`.

### IP_ADDRESS

    public static final Type IP_ADDRESS

  Represents the XACML `IP address` data type, `urn:oasis:names:tc:xacml:1.0:data-type:ipAddress`.

### DNS_ADDRESS

    public static final Type DNS_ADDRESS

  Represents the XACML `DNS name` data type, `urn:oasis:names:tc:xacml:1.0:data-type:dnsName`.

### CHARACTER

    public static final Type CHARACTER

  Represents a one-character restriction on the XML `string` data type, `http://www.w3.org/2001/XMLSchema#string`.

### LONG

    public static final Type LONG

  Represents the XML `long` data type, `http://www.w3.org/2001/XMLSchema#long`.

### FLOAT

    public static final Type FLOAT

  Represents the XML `float` data type, `http://www.w3.org/2001/XMLSchema#float`.

### DECIMAL

    public static final Type DECIMAL

  Represents the XML `decimal` data type, `http://www.w3.org/2001/XMLSchema#decimal`.

### OBJECT

    public static final Type OBJECT

  Represents a reference to a Java object.

### CLASS

    public static final Type CLASS

  Represents a reference to an instance of `java.lang.Class` for a specific Java object. Some BEA XACML functions require this data type (for example, to invoke methods on Java objects using the Java reflection API).

  In a XACML document, you can use the following function to create data of this type:
  `urn:bea.xacml:2.0:function:string-to-class`.

### STRING_BAG

    public static final Type STRING_BAG

  Represents a bag of `STRING`.

  See Also:
    `Type.STRING`

### BOOLEAN_BAG

    public static final Type BOOLEAN_BAG

  Represents a bag of `BOOLEAN`.

  See Also:
    `Type.BOOLEAN`

### INTEGER_BAG

    public static final Type INTEGER_BAG

  Represents a bag of `INTEGER`.

  See Also:
    `Type.INTEGER`

### DOUBLE_BAG

    public static final Type DOUBLE_BAG

  Represents a bag of `DOUBLE`.

  See Also:
    `Type.DOUBLE`

### TIME_BAG

    public static final Type TIME_BAG

  Represents a bag of `TIME`.

  See Also:
    `Type.TIME`

### DATE_BAG

    public static final Type DATE_BAG

  Represents a bag of `DATE`.

  See Also:
    `Type.DATE`

### DATE_TIME_BAG

    public static final Type DATE_TIME_BAG

  Represents a bag of `DATE_TIME`.

  See Also:
    `Type.DATE_TIME`

### DAY_TIME_DURATION_BAG

    public static final Type DAY_TIME_DURATION_BAG

  Represents a bag of `DAY_TIME_DURATION`.

  See Also:
    `Type.DAY_TIME_DURATION`

### YEAR_MONTH_DURATION_BAG

    public static final Type YEAR_MONTH_DURATION_BAG

  Represents a bag of `YEAR_MONTH_DURATION`.

  See Also:
    `Type.YEAR_MONTH_DURATION`

### ANY_URI_BAG

    public static final Type ANY_URI_BAG

  Represents a bag of `ANY_URI`.

  See Also:
    `Type.ANY_URI`

### HEX_BINARY_BAG

    public static final Type HEX_BINARY_BAG

  Represents a bag of `HEX_BINARY`.

  See Also:
    `Type.HEX_BINARY`

### BASE64_BINARY_BAG

    public static final Type BASE64_BINARY_BAG

  Represents a bag of `BASE64_BINARY`.

  See Also:
    `Type.BASE64_BINARY`

### RFC822_NAME_BAG

    public static final Type RFC822_NAME_BAG

  Represents a bag of `RFC822_NAME`.

  See Also:
    `Type.RFC822_NAME`

### X500_NAME_BAG

    public static final Type X500_NAME_BAG

  Represents a bag of `X500_NAME`.

  See Also:
    `Type.X500_NAME`

### IP_ADDRESS_BAG

    public static final Type IP_ADDRESS_BAG

  Represents a bag of `IP_ADDRESS`.

  See Also:
    `Type.IP_ADDRESS`

### DNS_ADDRESS_BAG

    public static final Type DNS_ADDRESS_BAG

  Represents a bag of `DNS_ADDRESS`.

  See Also:
    `Type.DNS_ADDRESS`

### FUNCTION

    public static final Type FUNCTION

  Represents the evaluation of a `<Function>` element.

### FUNCTION_BAG

    public static final Type FUNCTION_BAG

  Represents a bag of `FUNCTION`.

  See Also:
    `Type.FUNCTION`

### CHARACTER_BAG

    public static final Type CHARACTER_BAG

  Represents a bag of `CHARACTER`.

  See Also:
    `Type.CHARACTER`

### LONG_BAG

    public static final Type LONG_BAG

  Represents a bag of `LONG`.

  See Also:
    `Type.LONG`

### FLOAT_BAG

    public static final Type FLOAT_BAG

  Represents a bag of `FLOAT`.

  See Also:
    `Type.FLOAT`

### DECIMAL_BAG

    public static final Type DECIMAL_BAG

  Represents a bag of `DECIMAL`.

  See Also:
    `Type.DECIMAL`

### OBJECT_BAG

    public static final Type OBJECT_BAG

  Represents a bag of `OBJECT`.

  See Also:
    `Type.OBJECT`

### CLASS_BAG

    public static final Type CLASS_BAG

  Represents a bag of `CLASS`.

  See Also:
    `Type.CLASS`

Constructor Detail

### Type

    protected Type(Type other)

### Type

    public Type(Type other,
                boolean isBag)

  Constructor that can be used to create bag or non-bag type instances from another Type

  Parameters:
    `other` - Other type
    `isBag` - true if new Type should be a bag; false otherwise

### Type

    public Type(String type,
                String shortName)

  Constructor that takes type URI as String. New Type is not a bag.

  Parameters:
    `type` - Type URI as a String

### Type

    public Type(String type,
                String shortName,
                boolean isBag)

  Constructor that takes type URI as String.

  Parameters:
    `type` - Type URI as String
    `isBag` - true if new Type is a bag; false otherwise

### Type

    public Type(String type,
                String shortName,
                boolean isBag,
                boolean isCustom)

  Constructor that takes type URI as String.

  Parameters:
    `type` - Type URI as String
    `isBag` - true if new Type is a bag; false otherwise

### Type

    public Type(URI type,
                String shortName)

  Constructor that takes type as URI. New Type is not a bag.

  Parameters:
    `type` - Type URI

### Type

    public Type(URI type,
                boolean isBag)

  Constructor that takes type as URI

  Parameters:
    `type` - Type URI
    `isBag` - true if new Type is a bag; false otherwise

### Type

    public Type(URI type,
                String shortName,
                boolean isBag)

  Constructor that takes type as URI

  Parameters:
    `type` - Type URI
    `isBag` - true if new Type is a bag; false otherwise

Method Detail

### getScalarTypes

    public static Collection getScalarTypes()

### findType

    public static Type findType(String uri)

### getShortName

    public String getShortName()

### getDataType

    public URI getDataType()
                    throws com.bea.common.security.xacml.URISyntaxException

  Returns type URI

  Returns:
    Type URI
  Throws:
    `URISyntaxException` - thrown if URI format is invalid

### isBag

    public boolean isBag()

  Checks if Type represents a bag or singleton type

  Returns:
    true if Type is a bag; false otherwise

### isCustom

    public boolean isCustom()

### getType

    public String getType()

  Returns type URI as a String

  Returns:
    Type URI as a String

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD